<?xml version="1.0" encoding="UTF-8" standalone="no"?><templates><template autoinsert="true" context="org.etsi.mts.tdl.TDLtx.kw_Configuration" deleted="false" description="Configuraiton with necessary component and gate types" enabled="true" id="org.etsi.mts.tdl.tx.templates.Configuration" name="Configuration">Configuration ${name} {
	${componentType} sut as SUT,
	${componentType} tester as Tester,
	connect sut::${interfaceName} to tester::${interfaceName}
}
Message Gate ${gateType} accepts ${accepted}
Component ${componentType} {
	gate ${gateType} ${interfaceName}
}
</template><template autoinsert="true" context="org.etsi.mts.tdl.TDLtx.TestConfiguration" deleted="false" description="Alternative template" enabled="true" id="org.etsi.mts.tdl.tx.templates.Configuration.in" name="Configuration in">Configuration example${name} {
	${componentType} sut as SUT,
	${componentType} tester as Tester,
	connect sut::${interfaceName} to tester::${interfaceName}
}
Message Gate ${gateType} accepts ${dataType:CrossReference('GateType.dataType')}
Component ${componentType} {
	gate ${gateType} ${interfaceName}
}
</template><template autoinsert="true" context="org.etsi.mts.tdl.TDLtx.kw_Objective" deleted="false" description="Test objective template" enabled="true" id="org.etsi.mts.tdl.tx.templates.Objective" name="Objective">Objective ${name} {
	Description: "example"
	References: "reference"
}
</template><template autoinsert="true" context="org.etsi.mts.tdl.TDLtx.kw_Package" deleted="false" description="Basic package structure" enabled="true" id="org.etsi.mts.tdl.tx.templates.Package" name="Package">Package ${name} {
	Type integer
	Type string
	Message Gate http accepts string, integer
	Component node {
		gate http interface
	}
	Configuration base {
		node sut as SUT,
		node tester as Tester,
		connect sut::interface to tester::interface
	}
	Test example uses base {
		tester::interface sends "hello" to sut::interface
	}
}
	
</template><template autoinsert="true" context="org.etsi.mts.tdl.TDLtx.AtomicBehaviour" deleted="false" description="Receive a message" enabled="true" id="org.etsi.mts.tdl.tx.templates.Receive.message" name="Receive message">${targetGate:CrossReference(Target.targetGate)} receives ${dataElement:CrossReference(DataElementUse.dataElement)} from ${source:CrossReference(Interaction.sourceGate)}
</template><template autoinsert="true" context="org.etsi.mts.tdl.TDLtx.AtomicBehaviour" deleted="false" description="Send a message" enabled="true" id="org.etsi.mts.tdl.tx.templates.Send.message" name="Send message">${source:CrossReference(Interaction.sourceGate)} sends ${dataElement:CrossReference(DataElementUse.dataElement)} to ${targetGate:CrossReference(Target.targetGate)}
</template><template autoinsert="true" context="org.etsi.mts.tdl.TDLtx.kw_Test" deleted="false" description="Test Purpose Description template" enabled="true" id="org.etsi.mts.tdl.tx.templates.TestPurposeDescription" name="TestPurposeDescription">Test Purpose Description ${name} {
	Objective: ${objective:CrossReference('TestDescription.testObjective')}
	Configuration: ${configuration:CrossReference('TestDescription.testConfiguration')}
	Expected behaviour
	ensure that {
		when {
			tester::interface sends "hello" to sut::interface
			${source:CrossReference('Message.sourceGate')} sends "ey" to sut::interface
		}	
		then {
			tester::interface receives "hello back" from sut::interface
		}				
	} 		
}		
</template></templates>